#include <iostream>
#include <algorithm>

using namespace std;

const int maxSize = 200000;

class Fl
{
	public:
	int a;
	double p;
	
	Fl(int a1, double p1) : a(a1), p(p1) {}
	Fl() {}
	
	bool operator < (Fl& cmp)
	{
		return (p < cmp.p);
	}
		
};

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	
	int n;
	cin >> n;
	
	Fl f[maxSize];
	int sum = 0;
	double max = 0;
	
	for(int i = 0; i < n; ++i)
	{
		int a;
		double p;
		cin >> a >> p;
		f[i] = Fl(a, p);
		sum+=a;
	}
	
	sort(f, f+n);
	for(int i = 0; i < n; ++i)
	{
		double res = sum*f[i].p;
		if(res > max) max = res;
		sum-=f[i].a;
	}
	
	cout <<fixed << max/100 <<endl;
}